GDB (xrefs)

Public Attributes | List of all members
partial_symbol Struct Reference

`#include "psympriv.h"`

## Public Attributes
struct general_symbol_info | ginfo
__extension__ enum domain_enum_tag | domain: SYMBOL_DOMAIN_BITS
__extension__ enum address_class | aclass: SYMBOL_ACLASS_BITS

## Detailed Description

Definition at line 36 of file psympriv.h.

## Member Data Documentation

## ◆ aclass

__extension__ enum address_class partial_symbol::aclass

Definition at line 50 of file psympriv.h.

## ◆ domain

__extension__ enum domain_enum_tag partial_symbol::domain

Definition at line 44 of file psympriv.h.

Referenced by add_psymbol_to_bcache(), add_psymbol_to_list(), lookup_partial_symbol(), match_partial_symbol(), and psymbol_hash().

## ◆ ginfo

struct general_symbol_info partial_symbol::ginfo

Definition at line 40 of file psympriv.h.

Referenced by fixup_psymbol_section(), psymbol_compare(), and psymbol_hash().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/psympriv.h